Airwallex logo
Airwallex logoAirwallex logo

Request for Information (RFI)

Copy for LLMView as Markdown

As part of reviewing customer profiles and activity, Airwallex may request additional information about an account by raising an RFI. Airwallex will initiate a request for information which may then contain one or more follow up questions if more clarification is needed.

Endpoints
GET /api/v1/rfis
GET /api/v1/rfis/{id}
POST /api/v1/rfis/{id}/respond

List all RFIs

GET /api/v1/rfis

Returns a list of RFIs raised for your Airwallex account, sorted by the RFI creation date in descending order.

Parameters
end_created_atstring

The end date of created_at in ISO8601 format (inclusive)

from_created_atstring

The start date of created_at in ISO8601 format (inclusive)

pagestring

A bookmark for use in pagination to retrieve either the next page or the previous page of results. You can fetch the value for this identifier from the response of the previous API call. To retrieve the next page of results, pass the value of page_after (if not null) from the response to a subsequent call. To retrieve the previous page of results, pass the value of page_before (if not null) from the response to a subsequent call.

page_sizeinteger

A limit on the number of records to be returned on a page, between 1 and 2000. The default is 100.

statusesarray

List of RFI status separated by ,. One of ACTION_REQUIRED, ANSWERED, CLOSED.

typesarray

List of RFI types separated by ,. Currently only supports KYC, KYC_ONGOING, CARDHOLDER, TRANSACTION and PAYMENT_ENABLEMENT type.

Response body - 200 OK
itemsarray

Paged results.

items.account_idstring

Airwallex account unique identifier

items.active_requestobject

The current RFI request you are required to respond to

items.active_request.created_atstring

Timestamp the RFI request was created

items.active_request.expires_atstring

Timestamp the RFI request will expire, and the RFI status will be transited to CLOSED.

items.active_request.questionsarray

List of questions

items.active_request.questions.answerobject

Response to the question

items.active_request.questions.answer.addressobject

Response for ADDRESS type

items.active_request.questions.answer.address.address_line1string

The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.

items.active_request.questions.answer.address.address_line2string

An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.

items.active_request.questions.answer.address.country_codestring

Country code. (2-letter ISO 3166-2 country code)

items.active_request.questions.answer.address.postcodestring

Postcode or zip code. Only applicable if relevant to selected country.

items.active_request.questions.answer.address.statestring

Name of state. Only applicable if relevant to selected country.

items.active_request.questions.answer.address.suburbstring

Name of city/suburb.

items.active_request.questions.answer.attachmentsarray

Response for ATTACHMENT type

items.active_request.questions.answer.attachments.file_idstring

File id provided in the response from the File Service API

items.active_request.questions.answer.commentstring

comment for this response

items.active_request.questions.answer.confirmedboolean

Response for CONFIRMATION type

items.active_request.questions.answer.identity_documentobject

Response for IDENTITY_DOCUMENT type

items.active_request.questions.answer.identity_document.back_file_idstring

File id of the photo of the back of the document.

items.active_request.questions.answer.identity_document.front_file_idstring

File id of the photo of the front of the document.

items.active_request.questions.answer.identity_document.issuing_countrystring

Country issuing the document. (2-letter ISO 3166-2 country code)

items.active_request.questions.answer.identity_document.numberstring

Identity number.

items.active_request.questions.answer.identity_document.typestring

Type of identity document. One of DRIVING_LICENSE,PASSPORT,IDENTITY_CARD,MEDICARE_CARD,SSN,ITIN

items.active_request.questions.answer.textstring

Response for TEXT type

items.active_request.questions.answer.typestring

The type of response to the question

TEXT, ATTACHMENT, IDENTITY_DOCUMENT, CONFIRMATION, LIVENESS, ADDRESS

items.active_request.questions.attachmentsarray

The supporting documents of the question.

items.active_request.questions.attachments.file_idstring

File id used in File Service API to get file download link

items.active_request.questions.commentstring

Additional description for this question

items.active_request.questions.descriptionobject

The description of the question.

items.active_request.questions.description.enstring

Content in English

items.active_request.questions.description.zhstring

Content in Chinese

items.active_request.questions.idstring

Unique identifier for the question.

items.active_request.questions.keystring

The unique coded value for the RFI scenario the question relates to. This field is used to support automation of RFI responses from the platform for well defined business requirements

Possible values:

  • PROOF_OF_ADDRESS
  • ID_COPY
items.active_request.questions.livenessobject

Information for the LIVENESS type questions

items.active_request.questions.liveness.statusstring

The status of the liveness verification

NOT_STARTED, STARTED, SUBMITTED, SUCCEEDED, FAILED

items.active_request.questions.liveness.urlstring

This URL is used for liveness verification, necessary in certain cases. Ensure recipients open it on their mobile devices, equipped with a valid ID or passport and a working camera.

Please note:

  • If LIVENESS is the only question in the RFI, the Respond to an RFI API does not need a separate call. It will be auto-resolved after verification.
  • For RFIs with both LIVENESS and other questions, please complete liveness verification before responding to the rest.
items.active_request.questions.sourcesarray

In the case where a question is linked to a specific source (such as a cardholder) then the source will be specified

items.active_request.questions.sources.idstring

Unique identifier for the source

items.active_request.questions.sources.personobject

Information for PERSON source

items.active_request.questions.sources.person.first_namestring

First name of the person

items.active_request.questions.sources.person.last_namestring

Last name of the person

items.active_request.questions.sources.typestring

The type of the source. Type of values and their corresponding API:

  • PERSON: Get account by ID

  • BUSINESS: match account_details.business_person_details.person_id with the source id

  • INDIVIDUAL: match account_details.individual_details.person_id with the source id

  • If there is no matched person on your account, this indicates that Airwallex has introduced a new individual during the review process. Once verification is complete, this person will be added to your account.

  • CARDHOLDER: Get cardholder details

  • PAYMENT_INTENT: Retrieve a PaymentIntent

For TRANSACTION RFI:

items.active_request.questions.titleobject

The title of the question.

items.active_request.questions.title.enstring

Content in English

items.active_request.questions.title.zhstring

Content in Chinese

items.active_request.questions.uploaded_ordersarray

The uploaded orders which are related to the transaction, only applicable for TRANSACTION RFI.

items.active_request.questions.uploaded_orders.order_idstring

Unique identifier of the uploaded order.

items.active_request.updated_atstring

The latest timestamp the RFI request was updated

items.answered_requestsarray

The list of RFI requests that have already been responded to

items.answered_requests.created_atstring

Timestamp the RFI request was created

items.answered_requests.expires_atstring

Timestamp the RFI request will expire, and the RFI status will be transited to CLOSED.

items.answered_requests.questionsarray

List of questions

items.answered_requests.questions.answerobject

Response to the question

items.answered_requests.questions.answer.addressobject

Response for ADDRESS type

items.answered_requests.questions.answer.address.address_line1string

The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.

items.answered_requests.questions.answer.address.address_line2string

An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.

items.answered_requests.questions.answer.address.country_codestring

Country code. (2-letter ISO 3166-2 country code)

items.answered_requests.questions.answer.address.postcodestring

Postcode or zip code. Only applicable if relevant to selected country.

items.answered_requests.questions.answer.address.statestring

Name of state. Only applicable if relevant to selected country.

items.answered_requests.questions.answer.address.suburbstring

Name of city/suburb.

items.answered_requests.questions.answer.attachmentsarray

Response for ATTACHMENT type

items.answered_requests.questions.answer.attachments.file_idstring

File id provided in the response from the File Service API

items.answered_requests.questions.answer.commentstring

comment for this response

items.answered_requests.questions.answer.confirmedboolean

Response for CONFIRMATION type

items.answered_requests.questions.answer.identity_documentobject

Response for IDENTITY_DOCUMENT type

items.answered_requests.questions.answer.identity_document.back_file_idstring

File id of the photo of the back of the document.

items.answered_requests.questions.answer.identity_document.front_file_idstring

File id of the photo of the front of the document.

items.answered_requests.questions.answer.identity_document.issuing_countrystring

Country issuing the document. (2-letter ISO 3166-2 country code)

items.answered_requests.questions.answer.identity_document.numberstring

Identity number.

items.answered_requests.questions.answer.identity_document.typestring

Type of identity document. One of DRIVING_LICENSE,PASSPORT,IDENTITY_CARD,MEDICARE_CARD,SSN,ITIN

items.answered_requests.questions.answer.textstring

Response for TEXT type

items.answered_requests.questions.answer.typestring

The type of response to the question

TEXT, ATTACHMENT, IDENTITY_DOCUMENT, CONFIRMATION, LIVENESS, ADDRESS

items.answered_requests.questions.attachmentsarray

The supporting documents of the question.

items.answered_requests.questions.attachments.file_idstring

File id used in File Service API to get file download link

items.answered_requests.questions.commentstring

Additional description for this question

items.answered_requests.questions.descriptionobject

The description of the question.

items.answered_requests.questions.description.enstring

Content in English

items.answered_requests.questions.description.zhstring

Content in Chinese

items.answered_requests.questions.idstring

Unique identifier for the question.

items.answered_requests.questions.keystring

The unique coded value for the RFI scenario the question relates to. This field is used to support automation of RFI responses from the platform for well defined business requirements

Possible values:

  • PROOF_OF_ADDRESS
  • ID_COPY
items.answered_requests.questions.livenessobject

Information for the LIVENESS type questions

items.answered_requests.questions.liveness.statusstring

The status of the liveness verification

NOT_STARTED, STARTED, SUBMITTED, SUCCEEDED, FAILED

items.answered_requests.questions.liveness.urlstring

This URL is used for liveness verification, necessary in certain cases. Ensure recipients open it on their mobile devices, equipped with a valid ID or passport and a working camera.

Please note:

  • If LIVENESS is the only question in the RFI, the Respond to an RFI API does not need a separate call. It will be auto-resolved after verification.
  • For RFIs with both LIVENESS and other questions, please complete liveness verification before responding to the rest.
items.answered_requests.questions.sourcesarray

In the case where a question is linked to a specific source (such as a cardholder) then the source will be specified

items.answered_requests.questions.sources.idstring

Unique identifier for the source

items.answered_requests.questions.sources.personobject

Information for PERSON source

items.answered_requests.questions.sources.person.first_namestring

First name of the person

items.answered_requests.questions.sources.person.last_namestring

Last name of the person

items.answered_requests.questions.sources.typestring

The type of the source. Type of values and their corresponding API:

  • PERSON: Get account by ID

  • BUSINESS: match account_details.business_person_details.person_id with the source id

  • INDIVIDUAL: match account_details.individual_details.person_id with the source id

  • If there is no matched person on your account, this indicates that Airwallex has introduced a new individual during the review process. Once verification is complete, this person will be added to your account.

  • CARDHOLDER: Get cardholder details

  • PAYMENT_INTENT: Retrieve a PaymentIntent

For TRANSACTION RFI:

items.answered_requests.questions.titleobject

The title of the question.

items.answered_requests.questions.title.enstring

Content in English

items.answered_requests.questions.title.zhstring

Content in Chinese

items.answered_requests.questions.uploaded_ordersarray

The uploaded orders which are related to the transaction, only applicable for TRANSACTION RFI.

items.answered_requests.questions.uploaded_orders.order_idstring

Unique identifier of the uploaded order.

items.answered_requests.updated_atstring

The latest timestamp the RFI request was updated

items.created_atstring

Timestamp the RFI was created

items.idstring

Unique identifier for the RFI

items.statusstring

The status of the RFI. Possible values:

  • ACTION_REQUIRED: Airwallex requires you to respond to the RFI request
  • ANSWERED: You have already responded to the RFI request and your response is being reviewed by Airwallex
  • CLOSED: The review is complete and no further information is required
items.sub_typestring

The sub type of RFI.
For TRANSACTION RFI:

  • TRANSACTION_MONITORING: Internal transaction monitoring
  • TRANSACTION_SCREENING: Internal transaction screening
  • BANKING_PARTNER_INQUIRY: External banking partner inquiry
items.typestring

The type of RFI. Currently supports KYC, KYC_ONGOING, CARDHOLDER, TRANSACTION, PAYMENT_ENABLEMENT and MERCHANT_RISK types.

items.updated_atstring

The latest timestamp the RFI was updated

page_afterstring

A bookmark for use in pagination to retrieve the next page of results. Provide this identifier in the page request parameter in a subsequent call to retrieve the next page of results. The value will be null for the last page.

page_beforestring

A bookmark for use in pagination to retrieve the previous page of results. Provide this identifier in the page request parameter in a subsequent call to retrieve the previous page of results. The value will be null for the first page.

Errors
Error statusDescription
400

Possible errors: invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Possible errors: internal_server_error

GET /api/v1/rfis
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/rfis' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "items": [
3 {
4 "account_id": "acct_e_2wbiZ3Mx-ynlX-7Qidbg",
5 "active_request": {
6 "created_at": "2023-04-12T07:29:36+0000",
7 "expires_at": "2023-04-19T07:29:36+0000",
8 "questions": [
9 {
10 "answer": {
11 "address": {
12 "address_line1": "200 Collins Street",
13 "address_line2": "200 Collins Street",
14 "country_code": "AU",
15 "postcode": "3000",
16 "state": "VIC",
17 "suburb": "Melbourne"
18 },
19 "attachments": [
20 {
21 "file_id": "ZTEyOWJjZTItZGI5NS00NzI5LWI1YTQtZmQ2MmZlNDEwNzFlLHwsaG9uZ2tvbmcsfCzpvI7og5xDSS5wZGZfMTY4MzI1Nzg5OTUwOQ"
22 }
23 ],
24 "identity_document": {
25 "back_file_id": "N2EwYTllMTgtZmZjOS00ZDllLWI1MDQtMDMyZjAzZTRjZWE0LHwsLHwsQ05fQkxfbmV3LnBuZ18xNjgzNTUyNjg3Nzg3",
26 "front_file_id": "N2EwYTllMTgtZmZjOS00ZDllLWI1MDQtMDMyZjAzZTRjZWE0LHwsLHwsQ05fQkxfbmV3LnBuZ18xNjgzNTUyNjg3Nzg3",
27 "issuing_country": "AU",
28 "number": "123456789",
29 "type": "DRIVING_LICENSE"
30 },
31 "type": "TEXT"
32 },
33 "attachments": [
34 {
35 "file_id": "ZTEyOWJjZTItZGI5NS00NzI5LWI1YTQtZmQ2MmZlNDEwNzFlLHwsaG9uZ2tvbmcsfCzpvI7og5xDSS5wZGZfMTY4MzI1Nzg5OTUwOQ"
36 }
37 ],
38 "comment": "Please provide more information",
39 "description": {
40 "en": "Information confirmation",
41 "zh": "信息确认"
42 },
43 "id": "ba7bfb51-77bc-4991-b651-0969ece1d263",
44 "key": "PROOF_OF_ADDRESS",
45 "liveness": {
46 "status": "NOT_STARTED"
47 },
48 "sources": [
49 {
50 "id": "318ce9e9-c370-42bd-8192-e78283770c43",
51 "person": {
52 "first_name": "John",
53 "last_name": "Smith"
54 },
55 "type": "CARDHOLDER"
56 }
57 ],
58 "title": {
59 "en": "Information confirmation",
60 "zh": "信息确认"
61 },
62 "uploaded_orders": [
63 {
64 "order_id": "e10a8291-fabb-480d-a208-7c8f1c2cc5ec"
65 }
66 ]
67 }
68 ],
69 "updated_at": "2023-04-14T07:29:36+0000"
70 },
71 "answered_requests": [
72 {
73 "created_at": "2023-04-12T07:29:36+0000",
74 "expires_at": "2023-04-19T07:29:36+0000",
75 "questions": [
76 {
77 "answer": {
78 "address": {
79 "address_line1": "200 Collins Street",
80 "address_line2": "200 Collins Street",
81 "country_code": "AU",
82 "postcode": "3000",
83 "state": "VIC",
84 "suburb": "Melbourne"
85 },
86 "attachments": [
87 {
88 "file_id": "ZTEyOWJjZTItZGI5NS00NzI5LWI1YTQtZmQ2MmZlNDEwNzFlLHwsaG9uZ2tvbmcsfCzpvI7og5xDSS5wZGZfMTY4MzI1Nzg5OTUwOQ"
89 }
90 ],
91 "identity_document": {
92 "back_file_id": "N2EwYTllMTgtZmZjOS00ZDllLWI1MDQtMDMyZjAzZTRjZWE0LHwsLHwsQ05fQkxfbmV3LnBuZ18xNjgzNTUyNjg3Nzg3",
93 "front_file_id": "N2EwYTllMTgtZmZjOS00ZDllLWI1MDQtMDMyZjAzZTRjZWE0LHwsLHwsQ05fQkxfbmV3LnBuZ18xNjgzNTUyNjg3Nzg3",
94 "issuing_country": "AU",
95 "number": "123456789",
96 "type": "DRIVING_LICENSE"
97 },
98 "type": "TEXT"
99 },
100 "attachments": [
101 {
102 "file_id": "ZTEyOWJjZTItZGI5NS00NzI5LWI1YTQtZmQ2MmZlNDEwNzFlLHwsaG9uZ2tvbmcsfCzpvI7og5xDSS5wZGZfMTY4MzI1Nzg5OTUwOQ"
103 }
104 ],
105 "comment": "Please provide more information",
106 "description": {
107 "en": "Information confirmation",
108 "zh": "信息确认"
109 },
110 "id": "ba7bfb51-77bc-4991-b651-0969ece1d263",
111 "key": "PROOF_OF_ADDRESS",
112 "liveness": {
113 "status": "NOT_STARTED"
114 },
115 "sources": [
116 {
117 "id": "318ce9e9-c370-42bd-8192-e78283770c43",
118 "person": {
119 "first_name": "John",
120 "last_name": "Smith"
121 },
122 "type": "CARDHOLDER"
123 }
124 ],
125 "title": {
126 "en": "Information confirmation",
127 "zh": "信息确认"
128 },
129 "uploaded_orders": [
130 {
131 "order_id": "e10a8291-fabb-480d-a208-7c8f1c2cc5ec"
132 }
133 ]
134 }
135 ],
136 "updated_at": "2023-04-14T07:29:36+0000"
137 }
138 ],
139 "created_at": "2023-04-11T07:29:36+0000",
140 "id": "de73d13b-cb60-4541-8fa6-4bc50c1cbe92",
141 "status": "ACTION_REQUIRED",
142 "sub_type": "TRANSACTION_MONITORING",
143 "type": "KYC",
144 "updated_at": "2023-04-12T07:29:36+0000"
145 }
146 ],
147 "page_after": "YWZ0ZXI9MTdiYTVhYzktM2FiMC00NmIzLWE4ODctMTNjNmU5NTg2N2Qy",
148 "page_before": "YmVmb3JlPTg0NDg0ODIwLTU0N2UtNDc5YS1iMTY3LTgzYjQwMzcwODQ2ZQ=="
149}
Was this section helpful?

Retrieve an RFI

GET /api/v1/rfis/{id}

Retrieves details of an RFI using the given RFI unique identifier.

Parameters
idrequiredstring

Unique identifier of the RFI

Response body - 200 OK
account_idstring

Airwallex account unique identifier

active_requestobject

The current RFI request you are required to respond to

active_request.created_atstring

Timestamp the RFI request was created

active_request.expires_atstring

Timestamp the RFI request will expire, and the RFI status will be transited to CLOSED.

active_request.questionsarray

List of questions

active_request.questions.answerobject

Response to the question

active_request.questions.answer.addressobject

Response for ADDRESS type

active_request.questions.answer.address.address_line1string

The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.

active_request.questions.answer.address.address_line2string

An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.

active_request.questions.answer.address.country_codestring

Country code. (2-letter ISO 3166-2 country code)

active_request.questions.answer.address.postcodestring

Postcode or zip code. Only applicable if relevant to selected country.

active_request.questions.answer.address.statestring

Name of state. Only applicable if relevant to selected country.

active_request.questions.answer.address.suburbstring

Name of city/suburb.

active_request.questions.answer.attachmentsarray

Response for ATTACHMENT type

active_request.questions.answer.attachments.file_idstring

File id provided in the response from the File Service API

active_request.questions.answer.commentstring

comment for this response

active_request.questions.answer.confirmedboolean

Response for CONFIRMATION type

active_request.questions.answer.identity_documentobject

Response for IDENTITY_DOCUMENT type

active_request.questions.answer.identity_document.back_file_idstring

File id of the photo of the back of the document.

active_request.questions.answer.identity_document.front_file_idstring

File id of the photo of the front of the document.

active_request.questions.answer.identity_document.issuing_countrystring

Country issuing the document. (2-letter ISO 3166-2 country code)

active_request.questions.answer.identity_document.numberstring

Identity number.

active_request.questions.answer.identity_document.typestring

Type of identity document. One of DRIVING_LICENSE,PASSPORT,IDENTITY_CARD,MEDICARE_CARD,SSN,ITIN

active_request.questions.answer.textstring

Response for TEXT type

active_request.questions.answer.typestring

The type of response to the question

TEXT, ATTACHMENT, IDENTITY_DOCUMENT, CONFIRMATION, LIVENESS, ADDRESS

active_request.questions.attachmentsarray

The supporting documents of the question.

active_request.questions.attachments.file_idstring

File id used in File Service API to get file download link

active_request.questions.commentstring

Additional description for this question

active_request.questions.descriptionobject

The description of the question.

active_request.questions.description.enstring

Content in English

active_request.questions.description.zhstring

Content in Chinese

active_request.questions.idstring

Unique identifier for the question.

active_request.questions.keystring

The unique coded value for the RFI scenario the question relates to. This field is used to support automation of RFI responses from the platform for well defined business requirements

Possible values:

  • PROOF_OF_ADDRESS
  • ID_COPY
active_request.questions.livenessobject

Information for the LIVENESS type questions

active_request.questions.liveness.statusstring

The status of the liveness verification

NOT_STARTED, STARTED, SUBMITTED, SUCCEEDED, FAILED

active_request.questions.liveness.urlstring

This URL is used for liveness verification, necessary in certain cases. Ensure recipients open it on their mobile devices, equipped with a valid ID or passport and a working camera.

Please note:

  • If LIVENESS is the only question in the RFI, the Respond to an RFI API does not need a separate call. It will be auto-resolved after verification.
  • For RFIs with both LIVENESS and other questions, please complete liveness verification before responding to the rest.
active_request.questions.sourcesarray

In the case where a question is linked to a specific source (such as a cardholder) then the source will be specified

active_request.questions.sources.idstring

Unique identifier for the source

active_request.questions.sources.personobject

Information for PERSON source

active_request.questions.sources.person.first_namestring

First name of the person

active_request.questions.sources.person.last_namestring

Last name of the person

active_request.questions.sources.typestring

The type of the source. Type of values and their corresponding API:

  • PERSON: Get account by ID

  • BUSINESS: match account_details.business_person_details.person_id with the source id

  • INDIVIDUAL: match account_details.individual_details.person_id with the source id

  • If there is no matched person on your account, this indicates that Airwallex has introduced a new individual during the review process. Once verification is complete, this person will be added to your account.

  • CARDHOLDER: Get cardholder details

  • PAYMENT_INTENT: Retrieve a PaymentIntent

For TRANSACTION RFI:

active_request.questions.titleobject

The title of the question.

active_request.questions.title.enstring

Content in English

active_request.questions.title.zhstring

Content in Chinese

active_request.questions.uploaded_ordersarray

The uploaded orders which are related to the transaction, only applicable for TRANSACTION RFI.

active_request.questions.uploaded_orders.order_idstring

Unique identifier of the uploaded order.

active_request.updated_atstring

The latest timestamp the RFI request was updated

answered_requestsarray

The list of RFI requests that have already been responded to

answered_requests.created_atstring

Timestamp the RFI request was created

answered_requests.expires_atstring

Timestamp the RFI request will expire, and the RFI status will be transited to CLOSED.

answered_requests.questionsarray

List of questions

answered_requests.questions.answerobject

Response to the question

answered_requests.questions.answer.addressobject

Response for ADDRESS type

answered_requests.questions.answer.address.address_line1string

The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.

answered_requests.questions.answer.address.address_line2string

An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.

answered_requests.questions.answer.address.country_codestring

Country code. (2-letter ISO 3166-2 country code)

answered_requests.questions.answer.address.postcodestring

Postcode or zip code. Only applicable if relevant to selected country.

answered_requests.questions.answer.address.statestring

Name of state. Only applicable if relevant to selected country.

answered_requests.questions.answer.address.suburbstring

Name of city/suburb.

answered_requests.questions.answer.attachmentsarray

Response for ATTACHMENT type

answered_requests.questions.answer.attachments.file_idstring

File id provided in the response from the File Service API

answered_requests.questions.answer.commentstring

comment for this response

answered_requests.questions.answer.confirmedboolean

Response for CONFIRMATION type

answered_requests.questions.answer.identity_documentobject

Response for IDENTITY_DOCUMENT type

answered_requests.questions.answer.identity_document.back_file_idstring

File id of the photo of the back of the document.

answered_requests.questions.answer.identity_document.front_file_idstring

File id of the photo of the front of the document.

answered_requests.questions.answer.identity_document.issuing_countrystring

Country issuing the document. (2-letter ISO 3166-2 country code)

answered_requests.questions.answer.identity_document.numberstring

Identity number.

answered_requests.questions.answer.identity_document.typestring

Type of identity document. One of DRIVING_LICENSE,PASSPORT,IDENTITY_CARD,MEDICARE_CARD,SSN,ITIN

answered_requests.questions.answer.textstring

Response for TEXT type

answered_requests.questions.answer.typestring

The type of response to the question

TEXT, ATTACHMENT, IDENTITY_DOCUMENT, CONFIRMATION, LIVENESS, ADDRESS

answered_requests.questions.attachmentsarray

The supporting documents of the question.

answered_requests.questions.attachments.file_idstring

File id used in File Service API to get file download link

answered_requests.questions.commentstring

Additional description for this question

answered_requests.questions.descriptionobject

The description of the question.

answered_requests.questions.description.enstring

Content in English

answered_requests.questions.description.zhstring

Content in Chinese

answered_requests.questions.idstring

Unique identifier for the question.

answered_requests.questions.keystring

The unique coded value for the RFI scenario the question relates to. This field is used to support automation of RFI responses from the platform for well defined business requirements

Possible values:

  • PROOF_OF_ADDRESS
  • ID_COPY
answered_requests.questions.livenessobject

Information for the LIVENESS type questions

answered_requests.questions.liveness.statusstring

The status of the liveness verification

NOT_STARTED, STARTED, SUBMITTED, SUCCEEDED, FAILED

answered_requests.questions.liveness.urlstring

This URL is used for liveness verification, necessary in certain cases. Ensure recipients open it on their mobile devices, equipped with a valid ID or passport and a working camera.

Please note:

  • If LIVENESS is the only question in the RFI, the Respond to an RFI API does not need a separate call. It will be auto-resolved after verification.
  • For RFIs with both LIVENESS and other questions, please complete liveness verification before responding to the rest.
answered_requests.questions.sourcesarray

In the case where a question is linked to a specific source (such as a cardholder) then the source will be specified

answered_requests.questions.sources.idstring

Unique identifier for the source

answered_requests.questions.sources.personobject

Information for PERSON source

answered_requests.questions.sources.person.first_namestring

First name of the person

answered_requests.questions.sources.person.last_namestring

Last name of the person

answered_requests.questions.sources.typestring

The type of the source. Type of values and their corresponding API:

  • PERSON: Get account by ID

  • BUSINESS: match account_details.business_person_details.person_id with the source id

  • INDIVIDUAL: match account_details.individual_details.person_id with the source id

  • If there is no matched person on your account, this indicates that Airwallex has introduced a new individual during the review process. Once verification is complete, this person will be added to your account.

  • CARDHOLDER: Get cardholder details

  • PAYMENT_INTENT: Retrieve a PaymentIntent

For TRANSACTION RFI:

answered_requests.questions.titleobject

The title of the question.

answered_requests.questions.title.enstring

Content in English

answered_requests.questions.title.zhstring

Content in Chinese

answered_requests.questions.uploaded_ordersarray

The uploaded orders which are related to the transaction, only applicable for TRANSACTION RFI.

answered_requests.questions.uploaded_orders.order_idstring

Unique identifier of the uploaded order.

answered_requests.updated_atstring

The latest timestamp the RFI request was updated

created_atstring

Timestamp the RFI was created

idstring

Unique identifier for the RFI

statusstring

The status of the RFI. Possible values:

  • ACTION_REQUIRED: Airwallex requires you to respond to the RFI request
  • ANSWERED: You have already responded to the RFI request and your response is being reviewed by Airwallex
  • CLOSED: The review is complete and no further information is required
sub_typestring

The sub type of RFI.
For TRANSACTION RFI:

  • TRANSACTION_MONITORING: Internal transaction monitoring
  • TRANSACTION_SCREENING: Internal transaction screening
  • BANKING_PARTNER_INQUIRY: External banking partner inquiry
typestring

The type of RFI. Currently supports KYC, KYC_ONGOING, CARDHOLDER, TRANSACTION, PAYMENT_ENABLEMENT and MERCHANT_RISK types.

updated_atstring

The latest timestamp the RFI was updated

Errors
Error statusDescription
400

Possible errors: invalid_state_for_operation

401

Possible errors: credentials_invalid, credentials_expired

403

Possible errors: account_not_authorised_for_operation

404

Possible errors: resource_not_found

429

Too many requests

500

Possible errors: internal_server_error

GET /api/v1/rfis/{id}
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/rfis/request_for_information_rfi_id' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "account_id": "acct_e_2wbiZ3Mx-ynlX-7Qidbg",
3 "active_request": {
4 "created_at": "2023-04-12T07:29:36+0000",
5 "expires_at": "2023-04-19T07:29:36+0000",
6 "questions": [
7 {
8 "answer": {
9 "address": {
10 "address_line1": "200 Collins Street",
11 "address_line2": "200 Collins Street",
12 "country_code": "AU",
13 "postcode": "3000",
14 "state": "VIC",
15 "suburb": "Melbourne"
16 },
17 "attachments": [
18 {
19 "file_id": "ZTEyOWJjZTItZGI5NS00NzI5LWI1YTQtZmQ2MmZlNDEwNzFlLHwsaG9uZ2tvbmcsfCzpvI7og5xDSS5wZGZfMTY4MzI1Nzg5OTUwOQ"
20 }
21 ],
22 "identity_document": {
23 "back_file_id": "N2EwYTllMTgtZmZjOS00ZDllLWI1MDQtMDMyZjAzZTRjZWE0LHwsLHwsQ05fQkxfbmV3LnBuZ18xNjgzNTUyNjg3Nzg3",
24 "front_file_id": "N2EwYTllMTgtZmZjOS00ZDllLWI1MDQtMDMyZjAzZTRjZWE0LHwsLHwsQ05fQkxfbmV3LnBuZ18xNjgzNTUyNjg3Nzg3",
25 "issuing_country": "AU",
26 "number": "123456789",
27 "type": "DRIVING_LICENSE"
28 },
29 "type": "TEXT"
30 },
31 "attachments": [
32 {
33 "file_id": "ZTEyOWJjZTItZGI5NS00NzI5LWI1YTQtZmQ2MmZlNDEwNzFlLHwsaG9uZ2tvbmcsfCzpvI7og5xDSS5wZGZfMTY4MzI1Nzg5OTUwOQ"
34 }
35 ],
36 "comment": "Please provide more information",
37 "description": {
38 "en": "Information confirmation",
39 "zh": "信息确认"
40 },
41 "id": "ba7bfb51-77bc-4991-b651-0969ece1d263",
42 "key": "PROOF_OF_ADDRESS",
43 "liveness": {
44 "status": "NOT_STARTED"
45 },
46 "sources": [
47 {
48 "id": "318ce9e9-c370-42bd-8192-e78283770c43",
49 "person": {
50 "first_name": "John",
51 "last_name": "Smith"
52 },
53 "type": "CARDHOLDER"
54 }
55 ],
56 "title": {
57 "en": "Information confirmation",
58 "zh": "信息确认"
59 },
60 "uploaded_orders": [
61 {
62 "order_id": "e10a8291-fabb-480d-a208-7c8f1c2cc5ec"
63 }
64 ]
65 }
66 ],
67 "updated_at": "2023-04-14T07:29:36+0000"
68 },
69 "answered_requests": [
70 {
71 "created_at": "2023-04-12T07:29:36+0000",
72 "expires_at": "2023-04-19T07:29:36+0000",
73 "questions": [
74 {
75 "answer": {
76 "address": {
77 "address_line1": "200 Collins Street",
78 "address_line2": "200 Collins Street",
79 "country_code": "AU",
80 "postcode": "3000",
81 "state": "VIC",
82 "suburb": "Melbourne"
83 },
84 "attachments": [
85 {
86 "file_id": "ZTEyOWJjZTItZGI5NS00NzI5LWI1YTQtZmQ2MmZlNDEwNzFlLHwsaG9uZ2tvbmcsfCzpvI7og5xDSS5wZGZfMTY4MzI1Nzg5OTUwOQ"
87 }
88 ],
89 "identity_document": {
90 "back_file_id": "N2EwYTllMTgtZmZjOS00ZDllLWI1MDQtMDMyZjAzZTRjZWE0LHwsLHwsQ05fQkxfbmV3LnBuZ18xNjgzNTUyNjg3Nzg3",
91 "front_file_id": "N2EwYTllMTgtZmZjOS00ZDllLWI1MDQtMDMyZjAzZTRjZWE0LHwsLHwsQ05fQkxfbmV3LnBuZ18xNjgzNTUyNjg3Nzg3",
92 "issuing_country": "AU",
93 "number": "123456789",
94 "type": "DRIVING_LICENSE"
95 },
96 "type": "TEXT"
97 },
98 "attachments": [
99 {
100 "file_id": "ZTEyOWJjZTItZGI5NS00NzI5LWI1YTQtZmQ2MmZlNDEwNzFlLHwsaG9uZ2tvbmcsfCzpvI7og5xDSS5wZGZfMTY4MzI1Nzg5OTUwOQ"
101 }
102 ],
103 "comment": "Please provide more information",
104 "description": {
105 "en": "Information confirmation",
106 "zh": "信息确认"
107 },
108 "id": "ba7bfb51-77bc-4991-b651-0969ece1d263",
109 "key": "PROOF_OF_ADDRESS",
110 "liveness": {
111 "status": "NOT_STARTED"
112 },
113 "sources": [
114 {
115 "id": "318ce9e9-c370-42bd-8192-e78283770c43",
116 "person": {
117 "first_name": "John",
118 "last_name": "Smith"
119 },
120 "type": "CARDHOLDER"
121 }
122 ],
123 "title": {
124 "en": "Information confirmation",
125 "zh": "信息确认"
126 },
127 "uploaded_orders": [
128 {
129 "order_id": "e10a8291-fabb-480d-a208-7c8f1c2cc5ec"
130 }
131 ]
132 }
133 ],
134 "updated_at": "2023-04-14T07:29:36+0000"
135 }
136 ],
137 "created_at": "2023-04-11T07:29:36+0000",
138 "id": "de73d13b-cb60-4541-8fa6-4bc50c1cbe92",
139 "status": "ACTION_REQUIRED",
140 "sub_type": "TRANSACTION_MONITORING",
141 "type": "KYC",
142 "updated_at": "2023-04-12T07:29:36+0000"
143}
Was this section helpful?

Respond to an RFI

POST /api/v1/rfis/{id}/respond

Allows you to respond to an RFI request by providing the required answers.

Parameters
idrequiredstring

Unique identifier of the RFI

Request body
questionsarray

List of questions

questions.answerobject

Response to the question

questions.answer.addressobject

Response for ADDRESS type

questions.answer.address.address_line1string

The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.

questions.answer.address.address_line2string

An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.

questions.answer.address.country_codestring

Country code. (2-letter ISO 3166-2 country code)

questions.answer.address.postcodestring

Postcode or zip code. Only applicable if relevant to selected country.

questions.answer.address.statestring

Name of state. Only applicable if relevant to selected country.

questions.answer.address.suburbstring

Name of city/suburb.

questions.answer.attachmentsarray

Response for ATTACHMENT type

questions.answer.attachments.file_idstring

File id provided in the response from the File Service API

questions.answer.commentstring

comment for this response

questions.answer.confirmedboolean

Response for CONFIRMATION type

questions.answer.identity_documentobject

Response for IDENTITY_DOCUMENT type

questions.answer.identity_document.back_file_idstring

File id of the photo of the back of the document.

questions.answer.identity_document.front_file_idstring

File id of the photo of the front of the document.

questions.answer.identity_document.issuing_countrystring

Country issuing the document. (2-letter ISO 3166-2 country code)

questions.answer.identity_document.numberstring

Identity number.

questions.answer.identity_document.typestring

Type of identity document. One of DRIVING_LICENSE,PASSPORT,IDENTITY_CARD,MEDICARE_CARD,SSN,ITIN

questions.answer.textstring

Response for TEXT type

questions.answer.typestring

The type of response to the question

TEXT, ATTACHMENT, IDENTITY_DOCUMENT, CONFIRMATION, LIVENESS, ADDRESS

questions.idstring

Unique identifier for the question.

Response body - 200 OK
account_idstring

Airwallex account unique identifier

active_requestobject

The current RFI request you are required to respond to

active_request.created_atstring

Timestamp the RFI request was created

active_request.expires_atstring

Timestamp the RFI request will expire, and the RFI status will be transited to CLOSED.

active_request.questionsarray

List of questions

active_request.questions.answerobject

Response to the question

active_request.questions.answer.addressobject

Response for ADDRESS type

active_request.questions.answer.address.address_line1string

The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.

active_request.questions.answer.address.address_line2string

An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.

active_request.questions.answer.address.country_codestring

Country code. (2-letter ISO 3166-2 country code)

active_request.questions.answer.address.postcodestring

Postcode or zip code. Only applicable if relevant to selected country.

active_request.questions.answer.address.statestring

Name of state. Only applicable if relevant to selected country.

active_request.questions.answer.address.suburbstring

Name of city/suburb.

active_request.questions.answer.attachmentsarray

Response for ATTACHMENT type

active_request.questions.answer.attachments.file_idstring

File id provided in the response from the File Service API

active_request.questions.answer.commentstring

comment for this response

active_request.questions.answer.confirmedboolean

Response for CONFIRMATION type

active_request.questions.answer.identity_documentobject

Response for IDENTITY_DOCUMENT type

active_request.questions.answer.identity_document.back_file_idstring

File id of the photo of the back of the document.

active_request.questions.answer.identity_document.front_file_idstring

File id of the photo of the front of the document.

active_request.questions.answer.identity_document.issuing_countrystring

Country issuing the document. (2-letter ISO 3166-2 country code)

active_request.questions.answer.identity_document.numberstring

Identity number.

active_request.questions.answer.identity_document.typestring

Type of identity document. One of DRIVING_LICENSE,PASSPORT,IDENTITY_CARD,MEDICARE_CARD,SSN,ITIN

active_request.questions.answer.textstring

Response for TEXT type

active_request.questions.answer.typestring

The type of response to the question

TEXT, ATTACHMENT, IDENTITY_DOCUMENT, CONFIRMATION, LIVENESS, ADDRESS

active_request.questions.attachmentsarray

The supporting documents of the question.

active_request.questions.attachments.file_idstring

File id used in File Service API to get file download link

active_request.questions.commentstring

Additional description for this question

active_request.questions.descriptionobject

The description of the question.

active_request.questions.description.enstring

Content in English

active_request.questions.description.zhstring

Content in Chinese

active_request.questions.idstring

Unique identifier for the question.

active_request.questions.keystring

The unique coded value for the RFI scenario the question relates to. This field is used to support automation of RFI responses from the platform for well defined business requirements

Possible values:

  • PROOF_OF_ADDRESS
  • ID_COPY
active_request.questions.livenessobject

Information for the LIVENESS type questions

active_request.questions.liveness.statusstring

The status of the liveness verification

NOT_STARTED, STARTED, SUBMITTED, SUCCEEDED, FAILED

active_request.questions.liveness.urlstring

This URL is used for liveness verification, necessary in certain cases. Ensure recipients open it on their mobile devices, equipped with a valid ID or passport and a working camera.

Please note:

  • If LIVENESS is the only question in the RFI, the Respond to an RFI API does not need a separate call. It will be auto-resolved after verification.
  • For RFIs with both LIVENESS and other questions, please complete liveness verification before responding to the rest.
active_request.questions.sourcesarray

In the case where a question is linked to a specific source (such as a cardholder) then the source will be specified

active_request.questions.sources.idstring

Unique identifier for the source

active_request.questions.sources.personobject

Information for PERSON source

active_request.questions.sources.person.first_namestring

First name of the person

active_request.questions.sources.person.last_namestring

Last name of the person

active_request.questions.sources.typestring

The type of the source. Type of values and their corresponding API:

  • PERSON: Get account by ID

  • BUSINESS: match account_details.business_person_details.person_id with the source id

  • INDIVIDUAL: match account_details.individual_details.person_id with the source id

  • If there is no matched person on your account, this indicates that Airwallex has introduced a new individual during the review process. Once verification is complete, this person will be added to your account.

  • CARDHOLDER: Get cardholder details

  • PAYMENT_INTENT: Retrieve a PaymentIntent

For TRANSACTION RFI:

active_request.questions.titleobject

The title of the question.

active_request.questions.title.enstring

Content in English

active_request.questions.title.zhstring

Content in Chinese

active_request.questions.uploaded_ordersarray

The uploaded orders which are related to the transaction, only applicable for TRANSACTION RFI.

active_request.questions.uploaded_orders.order_idstring

Unique identifier of the uploaded order.

active_request.updated_atstring

The latest timestamp the RFI request was updated

answered_requestsarray

The list of RFI requests that have already been responded to

answered_requests.created_atstring

Timestamp the RFI request was created

answered_requests.expires_atstring

Timestamp the RFI request will expire, and the RFI status will be transited to CLOSED.

answered_requests.questionsarray

List of questions

answered_requests.questions.answerobject

Response to the question

answered_requests.questions.answer.addressobject

Response for ADDRESS type

answered_requests.questions.answer.address.address_line1string

The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.

answered_requests.questions.answer.address.address_line2string

An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.

answered_requests.questions.answer.address.country_codestring

Country code. (2-letter ISO 3166-2 country code)

answered_requests.questions.answer.address.postcodestring

Postcode or zip code. Only applicable if relevant to selected country.

answered_requests.questions.answer.address.statestring

Name of state. Only applicable if relevant to selected country.

answered_requests.questions.answer.address.suburbstring

Name of city/suburb.

answered_requests.questions.answer.attachmentsarray

Response for ATTACHMENT type

answered_requests.questions.answer.attachments.file_idstring

File id provided in the response from the File Service API

answered_requests.questions.answer.commentstring

comment for this response

answered_requests.questions.answer.confirmedboolean

Response for CONFIRMATION type

answered_requests.questions.answer.identity_documentobject

Response for IDENTITY_DOCUMENT type

answered_requests.questions.answer.identity_document.back_file_idstring

File id of the photo of the back of the document.

answered_requests.questions.answer.identity_document.front_file_idstring

File id of the photo of the front of the document.

answered_requests.questions.answer.identity_document.issuing_countrystring

Country issuing the document. (2-letter ISO 3166-2 country code)

answered_requests.questions.answer.identity_document.numberstring

Identity number.

answered_requests.questions.answer.identity_document.typestring

Type of identity document. One of DRIVING_LICENSE,PASSPORT,IDENTITY_CARD,MEDICARE_CARD,SSN,ITIN

answered_requests.questions.answer.textstring

Response for TEXT type

answered_requests.questions.answer.typestring

The type of response to the question

TEXT, ATTACHMENT, IDENTITY_DOCUMENT, CONFIRMATION, LIVENESS, ADDRESS

answered_requests.questions.attachmentsarray

The supporting documents of the question.

answered_requests.questions.attachments.file_idstring

File id used in File Service API to get file download link

answered_requests.questions.commentstring

Additional description for this question

answered_requests.questions.descriptionobject

The description of the question.

answered_requests.questions.description.enstring

Content in English

answered_requests.questions.description.zhstring

Content in Chinese

answered_requests.questions.idstring

Unique identifier for the question.

answered_requests.questions.keystring

The unique coded value for the RFI scenario the question relates to. This field is used to support automation of RFI responses from the platform for well defined business requirements

Possible values:

  • PROOF_OF_ADDRESS
  • ID_COPY
answered_requests.questions.livenessobject

Information for the LIVENESS type questions

answered_requests.questions.liveness.statusstring

The status of the liveness verification

NOT_STARTED, STARTED, SUBMITTED, SUCCEEDED, FAILED

answered_requests.questions.liveness.urlstring

This URL is used for liveness verification, necessary in certain cases. Ensure recipients open it on their mobile devices, equipped with a valid ID or passport and a working camera.

Please note:

  • If LIVENESS is the only question in the RFI, the Respond to an RFI API does not need a separate call. It will be auto-resolved after verification.
  • For RFIs with both LIVENESS and other questions, please complete liveness verification before responding to the rest.
answered_requests.questions.sourcesarray

In the case where a question is linked to a specific source (such as a cardholder) then the source will be specified

answered_requests.questions.sources.idstring

Unique identifier for the source

answered_requests.questions.sources.personobject

Information for PERSON source

answered_requests.questions.sources.person.first_namestring

First name of the person

answered_requests.questions.sources.person.last_namestring

Last name of the person

answered_requests.questions.sources.typestring

The type of the source. Type of values and their corresponding API:

  • PERSON: Get account by ID

  • BUSINESS: match account_details.business_person_details.person_id with the source id

  • INDIVIDUAL: match account_details.individual_details.person_id with the source id

  • If there is no matched person on your account, this indicates that Airwallex has introduced a new individual during the review process. Once verification is complete, this person will be added to your account.

  • CARDHOLDER: Get cardholder details

  • PAYMENT_INTENT: Retrieve a PaymentIntent

For TRANSACTION RFI:

answered_requests.questions.titleobject

The title of the question.

answered_requests.questions.title.enstring

Content in English

answered_requests.questions.title.zhstring

Content in Chinese

answered_requests.questions.uploaded_ordersarray

The uploaded orders which are related to the transaction, only applicable for TRANSACTION RFI.

answered_requests.questions.uploaded_orders.order_idstring

Unique identifier of the uploaded order.

answered_requests.updated_atstring

The latest timestamp the RFI request was updated

created_atstring

Timestamp the RFI was created

idstring

Unique identifier for the RFI

statusstring

The status of the RFI. Possible values:

  • ACTION_REQUIRED: Airwallex requires you to respond to the RFI request
  • ANSWERED: You have already responded to the RFI request and your response is being reviewed by Airwallex
  • CLOSED: The review is complete and no further information is required
sub_typestring

The sub type of RFI.
For TRANSACTION RFI:

  • TRANSACTION_MONITORING: Internal transaction monitoring
  • TRANSACTION_SCREENING: Internal transaction screening
  • BANKING_PARTNER_INQUIRY: External banking partner inquiry
typestring

The type of RFI. Currently supports KYC, KYC_ONGOING, CARDHOLDER, TRANSACTION, PAYMENT_ENABLEMENT and MERCHANT_RISK types.

updated_atstring

The latest timestamp the RFI was updated

Errors
Error statusDescription
400

Possible errors: invalid_state_for_operation, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

403

Possible errors: account_not_authorised_for_operation

404

Possible errors: resource_not_found

429

Too many requests

500

Possible errors: internal_server_error

POST /api/v1/rfis/{id}/respond
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/rfis/request_for_information_rfi_id/respond' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "questions": [
> {
> "answer": {
> "address": {
> "address_line1": "200 Collins Street",
> "address_line2": "200 Collins Street",
> "country_code": "AU",
> "postcode": "3000",
> "state": "VIC",
> "suburb": "Melbourne"
> },
> "attachments": [
> {
> "file_id": "ZTEyOWJjZTItZGI5NS00NzI5LWI1YTQtZmQ2MmZlNDEwNzFlLHwsaG9uZ2tvbmcsfCzpvI7og5xDSS5wZGZfMTY4MzI1Nzg5OTUwOQ"
> }
> ],
> "identity_document": {
> "back_file_id": "N2EwYTllMTgtZmZjOS00ZDllLWI1MDQtMDMyZjAzZTRjZWE0LHwsLHwsQ05fQkxfbmV3LnBuZ18xNjgzNTUyNjg3Nzg3",
> "front_file_id": "N2EwYTllMTgtZmZjOS00ZDllLWI1MDQtMDMyZjAzZTRjZWE0LHwsLHwsQ05fQkxfbmV3LnBuZ18xNjgzNTUyNjg3Nzg3",
> "issuing_country": "AU",
> "number": "123456789",
> "type": "DRIVING_LICENSE"
> },
> "type": "TEXT"
> },
> "id": "ba7bfb51-77bc-4991-b651-0969ece1d263"
> }
> ]
>}'
Response (200 OK)
1{
2 "account_id": "acct_e_2wbiZ3Mx-ynlX-7Qidbg",
3 "active_request": {
4 "created_at": "2023-04-12T07:29:36+0000",
5 "expires_at": "2023-04-19T07:29:36+0000",
6 "questions": [
7 {
8 "answer": {
9 "address": {
10 "address_line1": "200 Collins Street",
11 "address_line2": "200 Collins Street",
12 "country_code": "AU",
13 "postcode": "3000",
14 "state": "VIC",
15 "suburb": "Melbourne"
16 },
17 "attachments": [
18 {
19 "file_id": "ZTEyOWJjZTItZGI5NS00NzI5LWI1YTQtZmQ2MmZlNDEwNzFlLHwsaG9uZ2tvbmcsfCzpvI7og5xDSS5wZGZfMTY4MzI1Nzg5OTUwOQ"
20 }
21 ],
22 "identity_document": {
23 "back_file_id": "N2EwYTllMTgtZmZjOS00ZDllLWI1MDQtMDMyZjAzZTRjZWE0LHwsLHwsQ05fQkxfbmV3LnBuZ18xNjgzNTUyNjg3Nzg3",
24 "front_file_id": "N2EwYTllMTgtZmZjOS00ZDllLWI1MDQtMDMyZjAzZTRjZWE0LHwsLHwsQ05fQkxfbmV3LnBuZ18xNjgzNTUyNjg3Nzg3",
25 "issuing_country": "AU",
26 "number": "123456789",
27 "type": "DRIVING_LICENSE"
28 },
29 "type": "TEXT"
30 },
31 "attachments": [
32 {
33 "file_id": "ZTEyOWJjZTItZGI5NS00NzI5LWI1YTQtZmQ2MmZlNDEwNzFlLHwsaG9uZ2tvbmcsfCzpvI7og5xDSS5wZGZfMTY4MzI1Nzg5OTUwOQ"
34 }
35 ],
36 "comment": "Please provide more information",
37 "description": {
38 "en": "Information confirmation",
39 "zh": "信息确认"
40 },
41 "id": "ba7bfb51-77bc-4991-b651-0969ece1d263",
42 "key": "PROOF_OF_ADDRESS",
43 "liveness": {
44 "status": "NOT_STARTED"
45 },
46 "sources": [
47 {
48 "id": "318ce9e9-c370-42bd-8192-e78283770c43",
49 "person": {
50 "first_name": "John",
51 "last_name": "Smith"
52 },
53 "type": "CARDHOLDER"
54 }
55 ],
56 "title": {
57 "en": "Information confirmation",
58 "zh": "信息确认"
59 },
60 "uploaded_orders": [
61 {
62 "order_id": "e10a8291-fabb-480d-a208-7c8f1c2cc5ec"
63 }
64 ]
65 }
66 ],
67 "updated_at": "2023-04-14T07:29:36+0000"
68 },
69 "answered_requests": [
70 {
71 "created_at": "2023-04-12T07:29:36+0000",
72 "expires_at": "2023-04-19T07:29:36+0000",
73 "questions": [
74 {
75 "answer": {
76 "address": {
77 "address_line1": "200 Collins Street",
78 "address_line2": "200 Collins Street",
79 "country_code": "AU",
80 "postcode": "3000",
81 "state": "VIC",
82 "suburb": "Melbourne"
83 },
84 "attachments": [
85 {
86 "file_id": "ZTEyOWJjZTItZGI5NS00NzI5LWI1YTQtZmQ2MmZlNDEwNzFlLHwsaG9uZ2tvbmcsfCzpvI7og5xDSS5wZGZfMTY4MzI1Nzg5OTUwOQ"
87 }
88 ],
89 "identity_document": {
90 "back_file_id": "N2EwYTllMTgtZmZjOS00ZDllLWI1MDQtMDMyZjAzZTRjZWE0LHwsLHwsQ05fQkxfbmV3LnBuZ18xNjgzNTUyNjg3Nzg3",
91 "front_file_id": "N2EwYTllMTgtZmZjOS00ZDllLWI1MDQtMDMyZjAzZTRjZWE0LHwsLHwsQ05fQkxfbmV3LnBuZ18xNjgzNTUyNjg3Nzg3",
92 "issuing_country": "AU",
93 "number": "123456789",
94 "type": "DRIVING_LICENSE"
95 },
96 "type": "TEXT"
97 },
98 "attachments": [
99 {
100 "file_id": "ZTEyOWJjZTItZGI5NS00NzI5LWI1YTQtZmQ2MmZlNDEwNzFlLHwsaG9uZ2tvbmcsfCzpvI7og5xDSS5wZGZfMTY4MzI1Nzg5OTUwOQ"
101 }
102 ],
103 "comment": "Please provide more information",
104 "description": {
105 "en": "Information confirmation",
106 "zh": "信息确认"
107 },
108 "id": "ba7bfb51-77bc-4991-b651-0969ece1d263",
109 "key": "PROOF_OF_ADDRESS",
110 "liveness": {
111 "status": "NOT_STARTED"
112 },
113 "sources": [
114 {
115 "id": "318ce9e9-c370-42bd-8192-e78283770c43",
116 "person": {
117 "first_name": "John",
118 "last_name": "Smith"
119 },
120 "type": "CARDHOLDER"
121 }
122 ],
123 "title": {
124 "en": "Information confirmation",
125 "zh": "信息确认"
126 },
127 "uploaded_orders": [
128 {
129 "order_id": "e10a8291-fabb-480d-a208-7c8f1c2cc5ec"
130 }
131 ]
132 }
133 ],
134 "updated_at": "2023-04-14T07:29:36+0000"
135 }
136 ],
137 "created_at": "2023-04-11T07:29:36+0000",
138 "id": "de73d13b-cb60-4541-8fa6-4bc50c1cbe92",
139 "status": "ACTION_REQUIRED",
140 "sub_type": "TRANSACTION_MONITORING",
141 "type": "KYC",
142 "updated_at": "2023-04-12T07:29:36+0000"
143}
Was this section helpful?